SMTP(1)

NAME
smtp - Simple Mail Transfer Protocol client

SYNOPSIS
smtp [-Chnv] [-F from] [-H helo] [-s server] [recipient ...]

DESCRIPTION
The smtp utility is a Simple Mail Transfer Protocol (SMTP) client which can be used to run an SMTP transaction against an SMTP server.

By default, smtp reads the mail content from the standard input, establishes an SMTP session, and runs an SMTP transaction for all the specified recipients. The content is sent unaltered as mail data.

The options are as follows:

-C  Do not require server certificate to be valid.

-F from
    Set the return-path (MAIL FROM) for the SMTP transaction. Default to the current username.

-H helo
    Define the hostname to advertise (HELO) when establishing the SMTP session.

-h  Display version and usage.

-n  Do not actually execute a transaction, just try to establish an SMTP session and quit. When this option is given, no message is read from the standard input.

-s server
    Specify the server to connect to and connection parameters. The format is [proto://[user:pass@]] host[:port]. The following protocols are available:

    smtp
        Normal SMTP session with opportunistic STARTTLS.
    smtp+tls
        Normal SMTP session with mandatory STARTTLS.
    smtp+notls
        Plain text SMTP session without TLS.
    lmtp
        LMTP session with opportunistic STARTTLS.
    lmtp+tls
        LMTP session with mandatory STARTTLS.
    lmtp+notls
        Plain text LMTP session without TLS.
    smtps
        SMTP session with forced TLS on connection.

    Defaults to “smtp://localhost:25”.

-v  Be more verbose. This option can be specified multiple times.

SEE ALSO
smtpd(8)

HISTORY
The smtp program first appeared in OpenBSD 6.4.